import { SimpleDomainMatcherResult } from './SimpleDomainMatcherResult';
var MultiDomainMatcher = (function () {
    function MultiDomainMatcher() {
        this.patterns = [];
    }
    MultiDomainMatcher.prototype.match = function (input) {
        var stripped = this.strip(input);
        if (stripped === null)
            throw new Error('Input "' + input + '" invalid');
        var matchingPattern = null;
        this.patterns.forEach(function (pattern) {
            if (pattern.getPattern().test(stripped))
                matchingPattern = pattern;
        });
        if (matchingPattern === null)
            return new SimpleDomainMatcherResult(false, null);
        else
            return new SimpleDomainMatcherResult(true, matchingPattern);
    };
    MultiDomainMatcher.prototype.strip = function (input) {
        var regexp = /^(https?:\/\/)?([^/]*)(\/?)/gm;
        var ex = regexp.exec(input);
        if (ex === null)
            return null;
        return ex[2];
    };
    MultiDomainMatcher.prototype.registerPattern = function (pattern) {
        this.patterns.push(pattern);
    };
    return MultiDomainMatcher;
}());
export { MultiDomainMatcher };
