var SimpleDomainPattern = (function () {
    function SimpleDomainPattern(pattern) {
        this.validatePattern(pattern);
        this.pattern = new RegExp(this.transformPattern(pattern));
    }
    SimpleDomainPattern.prototype.getPattern = function () {
        return this.pattern;
    };
    SimpleDomainPattern.prototype.transformPattern = function (pattern) {
        if (pattern === '*')
            return '^(.+)$';
        else
            return '^' + pattern.replace(/\*/gm, '([^.]+)') + '$';
    };
    SimpleDomainPattern.prototype.validatePattern = function (pattern) {
        var validationRegex = /^([^.]+)(\.([^.]+))*$/gm;
        if (validationRegex.test(pattern) === false)
            throw new Error('Pattern "' + pattern + '" is invalid');
    };
    return SimpleDomainPattern;
}());
export { SimpleDomainPattern };
